Search documentation of ExStreamClient

# ExStreamClient.Model.PushNotificationFields (ExStreamClient v0.1.10)

View Source

Schema representing a PushNotificationFields

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.PushNotificationFields{
      apn: ExStreamClient.Model.APNConfigFields.t(),
      firebase: ExStreamClient.Model.FirebaseConfigFields.t(),
      huawei: ExStreamClient.Model.HuaweiConfigFields.t(),
      offline_only: boolean(),
      providers: [ExStreamClient.Model.PushProvider.t()] | nil,
      version: String.t(),
      xiaomi: ExStreamClient.Model.XiaomiConfigFields.t()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()